Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.rollover
Class TreeRolloverController<T extends javax.swing.JTree>

    java.lang.Object
      org.jdesktop.swingx.rollover.RolloverController<T>
          org.jdesktop.swingx.rollover.TreeRolloverController<T>

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

    public class TreeRolloverController<T extends javax.swing.JTree>

extends RolloverController<T>

listens to rollover properties. Repaints effected component regions. Updates link cursor.

Author:
  Jeanette Winzenburg

Field Summary

Fields inherited from class org.jdesktop.swingx.rollover.RolloverController
`component, EXECUTE_BUTTON_ACTIONCOMMAND`

Constructor Summary
`TreeRolloverController()`

Method Summary
`protected java.awt.Point` | `getFocusedCell()` The coordinates of the focused cell in view coordinates.
`protected RolloverRenderer` | `getRolloverRenderer(java.awt.Point location, boolean prepare)` Returns the rolloverRenderer at the given location.
`protected void` | `rollover(java.awt.Point oldLocation, java.awt.Point newLocation)` called on change of client property Rollover_Key.

Methods inherited from class org.jdesktop.swingx.rollover.RolloverController
`click, createExecuteButtonAction, hasRollover, install, isClickable, propertyChange, registerExecuteButtonAction, release, unregisterExecuteButtonAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeRolloverController

    public TreeRolloverController()

Method Detail

### rollover

    protected void rollover(java.awt.Point oldLocation,
                            java.awt.Point newLocation)

  Description copied from class: `RolloverController`
  called on change of client property Rollover_Key.

  Specified by:
    `rollover` in class `RolloverController<T extends javax.swing.JTree>`
  Parameters:
    `oldLocation` - the old value of the rollover location.
    `newLocation` - the new value of the rollover location.

### getRolloverRenderer

    protected RolloverRenderer getRolloverRenderer(java.awt.Point location,
                                                   boolean prepare)

  Description copied from class: `RolloverController`
  Returns the rolloverRenderer at the given location.

  The result may be null if there is none or if rollover is not enabled. If the prepare flag is true, the renderer will be prepared with value and state as appropriate for the given location. Note: PRE - the location must be valid in cell coordinate space.

  Specified by:
    `getRolloverRenderer` in class `RolloverController<T extends javax.swing.JTree>`
  Parameters:
    `location` - a valid location in cell coordinates, p.x == column, p.y == row.
  Returns:
    `RolloverRenderer` at the given location

### getFocusedCell

    protected java.awt.Point getFocusedCell()

  Description copied from class: `RolloverController`
  The coordinates of the focused cell in view coordinates. This method is called if the click action is invoked by a keyStroke. The returned cell coordinates should be related to what is typically interpreted as "focused" in the context of the component. p.x == focused column, p.y == focused row. A null return value or any coordinate value of < 0 is interpreted as "outside".

  Specified by:
    `getFocusedCell` in class `RolloverController<T extends javax.swing.JTree>`
  Returns:
    the location of the focused cell.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.